export default {
    data() {
        return {
            version: "1.0",
            trnName: "",
        }
    },
    computed: {
        declareParams() {
            return {
                version: this.version,
                // 交易名
                trnName: this.root ? this.root.trnName : this.trnName,
                // 交易类型（进口、出口、买方、卖方等，为模块划分做准备）
                trnType: this.getTrnType()
            }
        },
        requestPrefix() {
            return `/${this.declareParams.trnType}/${this.declareParams.trnName}`
        }
    },
    methods: {
        getTrnType() {
            const type = this.root ? this.root.trnType : this.trnType
            return type ? type : 'business'
        }
    }
}